import { ActivatedRouteSnapshot, RouterStateSnapshot, Router, UrlTree } from '@angular/router';
import { FireAuthService } from '../services/fire-auth.service';
import * as i0 from "@angular/core";
export declare class RolePaidMemberGuard {
    private fireAuthService;
    private router;
    constructor(fireAuthService: FireAuthService, router: Router);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean | UrlTree>;
    canActivateChild(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean | UrlTree>;
    checkUserHasRole(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean | UrlTree>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RolePaidMemberGuard, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RolePaidMemberGuard>;
}
