export declare class FirebaseConfig {
    app: FireAppConfig;
    ui: any;
    store: FireStoreConfig;
    storage: FireStorageConfig;
}
export interface FireStorageImageSpecs {
    maxKBs: number;
    maxWidth: number;
    maxHeight: number;
    minWidth: number;
    minHeight: number;
}
export interface FireStorageConfig {
    baseStoreUrl: string;
    fireStorageBaseApiUrl: string;
    imageDimensions: FireStorageImageSpecs;
}
export interface FireAppConfig {
    projectId: string;
    appId: string;
    storageBucket: string;
    locationId: string;
    apiKey: string;
    authDomain: string;
    messagingSenderId: string;
    measurementId: string;
}
export interface FireStoreConfig {
    firestoreBaseApiUrl: string;
}
