import { EventEmitter } from '@angular/core';
import { UtilsService } from '@annuadvent/ngx-core/utils';
import { Sitemap, SitemapInfo, SitemapItem } from '../../interfaces/fire-storage-sitemap.interface';
import { SitemapService } from '../../services/sitemap.service';
import * as i0 from "@angular/core";
export declare class SitemapComponent {
    private utilsSvc;
    private sitemapService;
    sitemap: Sitemap;
    sitemapInfo: SitemapInfo;
    newUrls: Array<SitemapItem>;
    newSitemap: Sitemap;
    loadSitemapClicked: EventEmitter<void>;
    saveClicked: EventEmitter<Sitemap>;
    previewClicked: EventEmitter<void>;
    checkNewUrlsClicked: EventEmitter<void>;
    currentSitemapCollapsed: boolean;
    checkNewUrlsCollapsed: boolean;
    previewCollapsed: boolean;
    newUrlsStatus: object;
    sitemapXmlStr: string;
    showXmlModal: boolean;
    constructor(utilsSvc: UtilsService, sitemapService: SitemapService);
    loadSitemap(event: any): void;
    checkNewUrls(event: any): void;
    previewSitemap(event: any): void;
    saveSitemap(event: any): void;
    showXmlString(event: any, sitemapJson: Sitemap): void;
    xmlModalClosed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SitemapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SitemapComponent, "anu-sitemap", never, { "sitemap": { "alias": "sitemap"; "required": false; }; "sitemapInfo": { "alias": "sitemapInfo"; "required": false; }; "newUrls": { "alias": "newUrls"; "required": false; }; "newSitemap": { "alias": "newSitemap"; "required": false; }; }, { "loadSitemapClicked": "loadSitemapClicked"; "saveClicked": "saveClicked"; "previewClicked": "previewClicked"; "checkNewUrlsClicked": "checkNewUrlsClicked"; }, never, never, false, never, false>;
}
