import { EventEmitter } from '@angular/core';
import { OpenaiService } from '../../services/openai.service';
import * as i0 from "@angular/core";
export declare class OpenaiImageFormComponent {
    private openaiService;
    imagePromptText: string;
    imageFileName: string;
    imageGenerated: EventEmitter<string>;
    generatedBase64Image: string;
    savedImageUrl: string;
    loading: boolean;
    errorMsg: string;
    constructor(openaiService: OpenaiService);
    generateImage(): Promise<string>;
    private startLoading;
    private stopLoading;
    uploadImage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenaiImageFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpenaiImageFormComponent, "anu-openai-image-form", never, { "imagePromptText": { "alias": "imagePromptText"; "required": false; }; "imageFileName": { "alias": "imageFileName"; "required": false; }; }, { "imageGenerated": "imageGenerated"; }, never, never, false, never, false>;
}
