import { ImageInfo, MetaInfo } from "./fire-cms.interface";
export interface Article {
    id?: string;
    metaInfo?: MetaInfo;
    image?: ImageInfo;
    body?: any;
    categories?: Array<string>;
    created?: string;
    updated?: string;
    userId?: string;
    isLive?: boolean;
    inReview?: boolean;
    features?: Array<string>;
}
export interface PageArticles {
    articles: Array<Article>;
    startPage?: any;
    endPage?: any;
    previousPage?: any;
    nextPage?: any;
}
