import { HttpClient } from '@angular/common/http';
import { FireCommonService } from '@annuadvent/ngx-tools/fire-common';
import { FirestoreParserService } from './firestore-parser.service';
import { FireQuery } from '../interfaces/fire-query.interface';
import { FirestoreQueryService } from './firestore-query.service';
import * as i0 from "@angular/core";
export declare class FirestoreHttpService {
    private fireCommonService;
    private http;
    private firestoreParser;
    private firestoreQueryService;
    firestoreApiUrl: string;
    constructor(fireCommonService: FireCommonService, http: HttpClient, firestoreParser: FirestoreParserService, firestoreQueryService: FirestoreQueryService);
    runQueryById(collectionId: string, id: string): Promise<any>;
    runQueryByConfig(fireQuery: FireQuery): Promise<Array<any>>;
    runQueryToUpdate(collectionId: string, collectionDoc: any, fieldsToUpdate: Array<string>, isBin?: boolean): Promise<any>;
    runQueryToDelete(collectionId: string, collectionDoc: any): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirestoreHttpService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FirestoreHttpService>;
}
