import { HttpParams } from '@angular/common/http';
import { FirebaseDocument } from '../interfaces/fire-doc.interface';
import { StructuredQueryValue } from '../interfaces/structured-query.interface';
import * as i0 from "@angular/core";
export declare class FirestoreParserService {
    constructor();
    private getFireStoreProp;
    parse(value: any): any;
    buildFirebaseFields(doc: Object, fieldsToUpdate: Array<string>): FirebaseDocument;
    getFieldStructuredValue(value: any): StructuredQueryValue;
    buildQueryParamsToUpdate(fieldsToUpdate: Array<string>): HttpParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<FirestoreParserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FirestoreParserService>;
}
