import { OpenAIApi } from 'openai';
import { OpenaiConfig, OpenaiImageSize } from '../interfaces/openai.interface';
import * as i0 from "@angular/core";
export declare class OpenaiService {
    openAi: OpenAIApi | undefined;
    openaiConfig: OpenaiConfig | undefined;
    constructor();
    initOpenai(openaiConfig: OpenaiConfig): void;
    getChatResponse(prompts: Array<string>): Promise<string>;
    getImagetResponse(promptText: string, imagesCount: number, imageSize: OpenaiImageSize): Promise<Array<string>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenaiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OpenaiService>;
}
